var panel = new Panel("netpanel")
if (panelIds.length == 1) {
    // we are the only panel, so set the location for the user
    panel.location = 'top'
}
panel.locked = false;
panel.height = 28
panel.autoHide = false
widget = panel.addWidget("menubar")
widget.writeConfig('useButtonFormFactor', 'true')
widget.reloadConfig()
panel.addWidget("activitybar")
systray = panel.addWidget("systemtray");
i = 0;
if (hasBattery) {
    systray.currentConfigGroup = new Array("Applets", ++i);
    systray.writeConfig("plugin", "battery");
}
systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "message-indicator");
systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "org.kde.networkmanagement");
systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "notifier");
panel.addWidget("digital-clock")
panel.addWidget("lockout")
panel.addWidget("currentappcontrol")
panel.locked = true;
